package com.sunxung.factoring.entity.project.vo;

import com.sunxung.factoring.entity.sys.Dictionary;

/**
 * @Description:直属上级可分配任务视图对象
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:2018年7月4日 上午11:14:15
 */
public class DirectAssignableTaskVo {

    private Long id;
    private Long busnessKey;// 启动流程实例时主业务信息ID
    private String businessType;// 业务类型或者说流程类别，一个流程（定义/实例）关联一项业务，如立项、尽调、评审会等等
    /** 执行人 **/
    private String assignee;
    private String businessNo;
    /** 客户名称、授信主体 **/
    private String customerName;
    private String socialCreditCode;
    /** 保理申请人 **/
    private String factoringApplicant;
    /** 合同编号 **/
    private String contractNo;
    private Dictionary status;
    private String taskId;
    /** 当前阶段，即任务名称 **/
    private String taskName;
    /** 截止时间，倒计时 **/
    private String deadline;
    /** 额度支用批次 **/
    private Integer quotaDisburseBatch;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getBusnessKey() {
        return busnessKey;
    }

    public void setBusnessKey(Long busnessKey) {
        this.busnessKey = busnessKey;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public String getAssignee() {
        return assignee;
    }

    public void setAssignee(String assignee) {
        this.assignee = assignee;
    }

    public String getBusinessNo() {
        return businessNo;
    }

    public void setBusinessNo(String businessNo) {
        this.businessNo = businessNo;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getFactoringApplicant() {
        return factoringApplicant;
    }

    public void setFactoringApplicant(String factoringApplicant) {
        this.factoringApplicant = factoringApplicant;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public Dictionary getStatus() {
        return status;
    }

    public void setStatus(Dictionary status) {
        this.status = status;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getDeadline() {
        return deadline;
    }

    public void setDeadline(String deadline) {
        this.deadline = deadline;
    }

    public Integer getQuotaDisburseBatch() {
        return quotaDisburseBatch;
    }

    public void setQuotaDisburseBatch(Integer quotaDisburseBatch) {
        this.quotaDisburseBatch = quotaDisburseBatch;
    }
}
